<?php

declare(strict_types=1);

namespace App\Shared\Domain;

use DateTimeImmutable;
use Ramsey\Uuid\UuidInterface;

interface DomainEvent
{
    public function occurredOn(): DateTimeImmutable;

    public function aggregateId(): UuidInterface;
}
